Subject: Re: shmat error message on "Places all over the world"

From: Beau Williamson <[email-masked]>
Date: Tue, 26 May 1998 11:16:31 -0500

Worked great.  Thanks.

Beau
P.S. Thanks to all the others that replied.
At 04:02 PM 5/21/98 -0700, [email-masked] wrote:
> > I'm getting a strange error message on my Sparc 5 (running Solaris 2.5.1)
> > when I try to join the video stream for "Places all over the world".  Vic
> > will start up and start to display the current 5-6 active video session
and
> > then bomb off with a console error message of: "shmat: Too many open
files".
> > 
> > I realize that this isn't a multicast problem but I'll bet someone out
> > there knows what this means and can tell me what system resource I need to
> > increase and how to fix this. I have searched my Solaris docs and don't
> > find anything regarding this error message.
>
>Right you are.
>
>Add these lines to your /etc/system file and reboot:
>
>set shmsys:shminfo_shmmax=2097152
>set shmsys:shminfo_shmseg=30
>
>I don't know *where* that first number comes from, some previous person's
>E-mail, but I'd assume its some kind of size that can be made larger.  With
>these params I've been able to keep around 10 windows up at once.
>                        
>                         
>   -- Marc --
>
>
>